import pandas as pd
# Delete from metadata recordings shorter than 5 minutes and save the new metadata

df = pd.read_csv('../metadata/new_rec.csv', dtype=object)
print(df)
df['duration'] = df['duration'].astype(int)
df = df.sort_values(by='duration')
print(df[df['duration'] < 300000].index)

df = df.drop(df[df['duration'] < 300000].index)
df = df.sort_values(by=['child_id', 'date_iso', 'start_time']).reset_index(drop=True)
print(df)
df.to_csv('../metadata/recordings.csv', header=True, index=False)